<!-- BEGIN table_dirs.tpl -->

[% FOREACH directory = dirinfo.dirs.keys %]
  [% IF config.style.colors.browser.dirs.altcolors %]
    [% IF color == config.style.colors.browser.dirs.altcolor %]
	  [% color = config.style.colors.browser.dirs.normcolor %]
	[% ELSE %]
	  [% color = config.style.colors.browser.dirs.altcolor %]
	[% END %]
  [% ELSE %]
    [% color = config.style.bgcolor_table %]
  [% END %]

  <tr bgcolor="[% config.style.bgcolor_table %]">
    [% UNLESS dirinfo.dirs.$directory.inaccessible %]
	  <td width="30" bgcolor="[% color %]">[% config.style.icons.diricon %]</td>
	[% ELSE %]
	  <td width="30" bgcolor="[% color %]">[% config.style.icons.diricon_inaccessible %]</td>
	[% END %]
	
	<td bgcolor="[% color %]">
	  [% UNLESS dirinfo.dirs.$directory.inaccessible %]
	    <a href="?current=[% current %][% directory %]">[% directory %]</a>
	  [% ELSE %]
	    [% directory %]
	  [% END %]
	</td>

	<td bgcolor="[% color %]">&nbsp;</td>
	<td bgcolor="[% color %]">&nbsp;</td>
	<td bgcolor="[% color %]">&nbsp;</td>

	<td bgcolor="[% color %]" align="right">[% dirinfo.dirs.$directory.size %]</td>

	<td bgcolor="[% color %]">&nbsp;</td>

	<td bgcolor="[% color %]" align="right">
	  [% IF dirinfo.dirs.$directory.userinfo.name AND ! config.style.only_uid.dirs %]
	    [% dirinfo.dirs.$directory.userinfo.name %]
	  [% ELSE %]
	    [% IF dirinfo.dirs.$directory.userinfo.uid.defined %]
		  [% dirinfo.dirs.$directory.userinfo.uid %]
		[% ELSE %]
		  ?
		[% END %]
	  [% END %]
	</td>

	<td bgcolor="[% color %]" align="center">
	  /
	</td>

	<td bgcolor="[% color %]" align="left">
	  [% IF dirinfo.dirs.$directory.groupinfo.name AND ! config.style.only_gid.dirs %]
	    [% dirinfo.dirs.$directory.groupinfo.name %]
	  [% ELSE %]
	    [% IF dirinfo.dirs.$directory.groupinfo.gid.defined %]
		  [% dirinfo.dirs.$directory.groupinfo.gid %]
		[% ELSE %]
		  ?
		[% END %]
	  [% END %]
	</td>

	<td align="right" bgcolor="[% color %]">[% dirinfo.dirs.$directory.last_modified %]</td>
  </tr>
[% END %]

[% last_color = $color %]

<!-- END table_dirs.tpl -->
