<!-- BEGIN rpminfo.tpl -->

<p/>

<center>
  <b>RPMInfo for [% rpminfo.name %] [% IF rpminfo.epoch %][% rpminfo.epoch %]:[% END %][% rpminfo.version %]-[% rpminfo.release %]</b>

  <table border="2" cellspacing="0" cellpadding="0" width="80%" bgcolor="[% config.style.bgcolor_table %]">
	<tr>
	  <td>
	    <table border="0">
			<tr>
			  <td align="left"><b>Name</b>:&nbsp;</td><td align="left">[% rpminfo.name %]</td>
			  <td align="right"><b>Version</b>:&nbsp;</td><td align="left">[% rpminfo.version %]</td>
			</tr>
			
			<tr>
			  <td align="left"><b>Release</b>:&nbsp;</td><td align="left">[% rpminfo.release %]</td>
			  <td align="right"><b>Vendor</b>:&nbsp;</td><td align="left">[% IF rpminfo.vendor %][% rpminfo.vendor %][% ELSE %](Unknown)[% END %]</td>
			</tr>

			[% IF rpminfo.epoch %]
			  <tr>
				<td align="left"><b>Epoch</b>:&nbsp;</td><td align="left">[% rpminfo.epoch %]</td>
				<td colspan="2">&nbsp;</td>
			  </tr>
			[% END %]
			
			[% IF rpminfo.source %]
			  <tr>
				<td align="left"><b>Source</b>:&nbsp;</td><td align="left">[% rpminfo.epoch %]</td>
				<td colspan="2">&nbsp;</td>
			  </tr>
			[% END %]

			[% IF rpminfo.sourcerpm %]
			  <tr>
				<td align="left"><b>Source RPM</b>:&nbsp;</td><td align="left">[% rpminfo.sourcerpm %]</td>
				<td colspan="2">&nbsp;</td>
			  </tr>
			[% END %]

			<tr>
			  <td align="left"><b>Build Date</b>:&nbsp;</td><td align="left">[% rpminfo.buildtime.time2str %]</td>
			  <td align="right"><b>Build Host</b>:&nbsp;</td><td align="left">[% rpminfo.buildhost %]</td>
			</tr>

			<tr>
			  <td align="left"><b>Group</b>:&nbsp;</td><td align="left">[% rpminfo.group %]</td>
			  <td align="right"><b>Size</b>:&nbsp;</td><td align="left">[% rpminfo.size %] bytes</td>
			</tr>

			<tr>
			  <td align="left"><b>License</b>:&nbsp;</td><td align="left">[% rpminfo.license %]</td>
			  <td align="right"><b>Packager</b>:&nbsp;</td><td align="left">[% rpminfo.packager %]</td>
			</tr>

			[% IF rpminfo.url %]
			  <tr>
				<td align="left"><b>URL</b>:&nbsp;</td><td align="left">[% rpminfo.url %]</td>
				<td colspan="2">&nbsp;</td>
			  </tr>
			[% END %]

			[% IF rpminfo.summary %]
			  <tr>
				<td align="left"><b>Summary</b>:&nbsp;</td><td colspan="3" align="left">[% rpminfo.summary %]</td>
			  </tr>
			[% END %]

			[% IF rpminfo.description %]
			  <tr>
				<td colspan="4" align="left"><b>Description</b>:<br/>
				  [% rpminfo.description %]
				</td>
			  </tr>
			[% END %]

			[% IF rpminfo.changelog %]
			  <tr>
				<td colspan="4" align="left"><b>Changelog</b> (Max. [% config.max_changelog_entries %] entries):<br/>
				  <ul>
					[% FOREACH entry = rpminfo.changelog %]
					  <li>[% entry.time.changelog_time2str %] [% entry.name %]<br/>
					  Thu May 05 2005
					  [% entry.text %]
					  <br/>&nbsp;<br/>
					  </li>
					[% END %]
				  </ul>
				</td>
			  </tr>
			[% END %]
		  </table>
		</td>
	  </tr>
  </table>
</center>



<!-- END rpminfo.tpl -->
