<!-- BEGIN table_files.tpl -->

[% FOREACH file = dirinfo.files.keys %]
  [% IF config.style.colors.browser.files.altcolors %]
    [% IF color == config.style.colors.browser.files.altcolor %]
	  [% color = config.style.colors.browser.files.normcolor %]
	[% ELSE %]
	  [% color = config.style.colors.browser.files.altcolor %]
	[% END %]
  [% ELSE %]
    [% color = config.style.colors.bgcolor_table %]
  [% END %]
  <tr bgcolor="[% config.style.colors.bgcolor_table %]">
    <td bgcolor="[% color %]" width="30">
	  [% internal_type = dirinfo.files.$file.internal_type %]
	  [% IF config.style.icons.filetypes.$internal_type %]
	    [% config.style.icons.filetypes.$internal_type %]
	  [% ELSE %]
	    [% config.style.icons.fileicon %]
	  [% END %]
	</td>

	<td bgcolor="[% color %]">
	  [% IF dirinfo.files.$file.stickynote %]
	    <font color="blue">
	  [% ELSE %]
	    [% IF dirinfo.files.$file.new %]
		  <font color="green">
		[% END %]
	  [% END %]

	  [% file %]

	  [% IF dirinfo.files.$file.new || dirinfo.files.$file.sticknote %]
	    </font>
	  [% END %]
	</td>

	<td bgcolor="[% color %]" align="right">
	  [% IF config.urls.ftp %]
	    <a href="[% config.urls.ftp %][% current %][% file %]">FTP</a>
	  [% ELSE %]
	    &nbsp;
	  [% END %]
	</td>

	<td bgcolor="[% color %]" align="left">
	  [% IF config.urls.ftp %]&nbsp;/[% END %]
	  [% IF config.urls.http %]
  	    <a href="[% config.urls.http %][% current %][% file %]">HTTP</a>
	  [% ELSE %]
	    &nbsp;
	  [% END %]
	</td>

	<td align="left" bgcolor="[% color %]">
	  [% IF dirinfo.files.$file.note %]
	    <a href="[% config.urls.http %][% current %][% file %].txt" target="_new">Info</a>
	  [% ELSE %]
	    &nbsp;
	  [% END %]
	</td>

	<td align="right" bgcolor="[% color %]">[% dirinfo.files.$file.size %]</td>

	<td align="right" bgcolor="[% color %]">
	  [% IF dirinfo.files.$file.internal_type == 'rpm' %]
	    <a href="?rpminfo=[% current %][% file %]" target="_new">RPM Info</a>
	  [% ELSE %]
	    &nbsp;
	  [% END %]
	</td>

	<td align="right" bgcolor="[% color %]">
	  [% IF dirinfo.files.$file.userinfo.name AND ! config.style.only_uid.files %]
	    [% dirinfo.files.$file.userinfo.name %]
	  [% ELSE %]
	    [% IF dirinfo.files.$file.userinfo.uid %]
		  [% dirinfo.files.$file.userinfo.uid %]
		[% ELSE %]
		  ?
		[% END %]
	  [% END %]
	</td>

	<td align="center" bgcolor="[% color %]">/</td>

	<td align="left" bgcolor="[% color %]">
	  [% IF dirinfo.files.$file.groupinfo.name AND ! config.style.only_gid.files %]
	    [% dirinfo.files.$file.groupinfo.name %]
	  [% ELSE %]
	    [% IF dirinfo.files.$file.groupinfo.gid %]
		  [% dirinfo.files.$file.groupinfo.gid %]
		[% ELSE %]
		  ?
		[% END %]
	  [% END %]
	</td>

	<td align="right" bgcolor="[% color %]">
	  [% IF dirinfo.files.$file.new %]
	    [% config.style.icons.new_flash %]
		<font color="green">
	  [% END %]
	  
	  [% dirinfo.files.$file.last_modified %]
	  [% IF dirinfo.files.$file.new %]
	    </font>
	  [% END %]
	</td>

  </tr>

[% END %]

<!-- END table_files.tpl -->
